# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

RESTRICT="nomirror"
DESCRIPTION="A program for displaying sonograms and for sound effects in the frequency domain"
HOMEPAGE="http://www.notam02.no/arkiv/src/"
SRC_URI="http://www.notam02.no/arkiv/src/${P}.tar.gz"

KEYWORDS="~x86"
SLOT="0"
IUSE=""

DEPEND=">=snd-ls-0.9.7.4
	media-plugins/rev-plugins"


src_unpack() {
	unpack ${A}
	cd ${S}
	sed -ie 's/SND-LS-BIN=\/usr\/local/SND-LS-BIN=\/usr/' Makefile
	sed -ie 's/INSTALLDIR=\/usr\/local/INSTALLDIR=\/usr/' Makefile
}

src_compile() {
	make
}

src_install() {
	mkdir -p ${D}/usr/share/san-dysth/
	cp -a presets ${D}/usr/share/san-dysth/
	dodoc README
	dobin san-dysth
}


